#!/bin/bash

FROMEXT=dat;
TOEXT=txt;

while [ -n "$1" ]; do
	case "$1" in
	"-f")
		FROMEXT="$2";
		shift 2;
		;;
	"-t")
		TOEXT="$2";
		shift 2;
		;;
	*)
		break
		;;
	esac
done

while [ -n "$1" ]; do
	DIR="$1"; shift;
	ls ${DIR}/*.${FROMEXT} | while read FILE; do
		NEWFILE=`echo ${FILE} | sed "s/\.${FROMEXT}\$/.${TOEXT}/"`;
		mv ${FILE} ${NEWFILE};
	done
done
